# DeepLabelNet

**DeepLabelNet** is a Jupyter-like image annotation tool built with Django. It provides an intuitive web-based interface to manually draw, label, and manage bounding boxes on images — ideal for computer vision datasets, especially for object detection tasks such as traffic sign detection.

![DeepLabelNet Interface](https://your-image-link-if-any)

---

## ✨ Features

- 📂 Upload and organize datasets
- 🖼️ Interactive image annotation with bounding boxes
- 🔍 Zoom, pan, and draw tools
- 💾 Export annotations in YOLO or COCO format
- 🧠 Integration-ready with training pipelines (PyTorch, Ultralytics YOLO, etc.)
- 🔐 User authentication and dashboard interface
- ⚡ Built with Django, OpenCV, Torch, and Ultralytics

---

## 📦 Installation

```bash
pip install deeplabelnet
